#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>

int main(int argc, char *argv[])
{
int timeout = 3, loop = 4;

    int fd;

    /* open watchdog device */
    fd = open("/dev/watchdog",O_WRONLY);
    if (fd == -1) {
	fprintf(stderr, "%s: ", argv[0]);
	perror("open: /dev/watchdog");
	exit(1);
    }

    /* trigger watchdog in loop */
    while(loop--) {
	printf("Trigger watchdog with %d sec timeout\n", timeout);
	write(fd,"\0",1);
	fsync(fd);
	sleep(timeout);
    }

    /* disable watchdog */
    write(fd,"V",1);
    fsync(fd);

    /* close watchdog device */
    close(fd);

    return(0);
}
